
QGIS Application - Bug report #2865

QGIS crashes if border style differ from Solid Line and scale is very high

2010-07-06 12:42 AM - dr -

Status: Closed

Priority: Low

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 12925

Description

1. Open any polygonal shapefile (see attachment);

2. New Symbology: Fill Style -> No Brush, Border Style -> Solid Line;

3. Set Scale 1:1;

4. New Symbology: Fill Style -> No Brush, Border Style -> any border style differ from Solid Line, e.g. Dash Line

5. Apply and QGIS crashes.

History

#1 - 2010-07-06 01:11 AM - dr -

More simple approach to get crash:

1. Open any polygonal layer;

2. New Symbology: Fill Style -> No Brush, Border Style -> any border style differ from Solid Line, e.g. Dash Line;

3. Set Scale 1:1;

4. Apply and QGIS crashes.

#2 - 2010-07-06 01:18 AM - dr -

Make lines appear less jagged at the expense of some drawing performance must be enabled!

#3 - 2010-07-06 01:57 AM - Martin Dobias

I'm unable to reproduce on ubuntu 10.04 64-bit, Qt 4.6.2.

Does it crash when 'Fix problems with incorrectly filled polygons' option is on/off?

#4 - 2010-07-06 02:06 AM - dr -
If 'Fix problems with incorrectly filled polygons' option is on then 'Make lines appear less jagged at the expense of some drawing performance'

automatically becomes turned off and error is not reproduced.

r1389M, [[WinXP]], Qt 4.5.2

#5 - 2010-07-06 02:36 AM - Martin Dobias

Yes, sorry I've realized that after posting.

It seems that this is a Qt bug. It would be good to try with newer Qt release.

#6 - 2010-07-06 10:27 PM - Maxim Dubinin

I confirm that on commit:37a815ed (SVN r13891)

#7 - 2010-07-06 11:55 PM - Martin Dobias

Is it possible for you to produce a backtrace?

#8 - 2010-07-07 12:21 AM - dr -

Replying to [comment:7 wonder]:

Is it possible for you to produce a backtrace?

Of course: [http://pastebin.ca/1895889]

#9 - 2010-07-07 03:00 AM - Martin Dobias

Replying to [comment:8 dr]:

Replying to [comment:7 wonder]:

Is it possible for you to produce a backtrace?

Of course: [http://pastebin.ca/1895889]

Well, this is a debug log, here it doesn't have much use.

A backtrace can be obtained by running the application in debugger (e.g. gdb) or by examining core dump file produced by the system, see 

http://bugs.php.net/bugs-generating-backtrace.php

It seems you're on windows, the situation is more complicated (AFAIK you would need to compile qgis by yourself with debugging mode enabled to get

some useful data). Can you replicate the problem also on a different platform?
#10 - 2010-07-07 03:38 AM - Jürgen Fischer

Replying to [comment:9 wonder]:

A backtrace can be obtained by running the application in debugger (e.g. gdb) or by examining core dump file produced by the system, see 

http://bugs.php.net/bugs-generating-backtrace.php

BTW we have our own description: [[UsingTracWithQuantumGis]]#Creatingabacktrace

It seems you're on windows, the situation is more complicated (AFAIK you would need to compile qgis by yourself with debugging mode enabled to

get some useful data). Can you replicate the problem also on a different platform?

And another note: the qgis-dev package in OSGeo4W is compiled in [[RelWithDebInfo]] mode with QGISDEBUG enabled.  Still that isn't much use without

a proper development environment.

#11 - 2010-07-07 11:38 AM - Alexander Bruy

I've try to generate backtrace on windows using qgis-dev package and gdb. Results attached (yes, I know that isn't much). Also in this archieve there is a

report generated by Microsoft [[DebugDiag]] tool.

Unfortunatelly on my linux most libs are without debug info, so backtrace has only one line.

#12 - 2010-09-19 09:47 AM - Paolo Cavallini

Still true with current version? Please check.

#13 - 2010-12-12 07:18 AM - Giovanni Manghi

Cannot reproduce on trunk (commit:8586feb6 (SVN r14893)) under Linux. Is still true under windows?

#14 - 2010-12-12 10:04 AM - dr -

Still exists (commit:8586feb6 (SVN r14893)), [[WinXP]]

#15 - 2010-12-12 10:27 AM - Giovanni Manghi

This is confirmed under trunk/Seven 32 bit.

#16 - 2011-12-16 01:55 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#17 - 2011-12-23 06:22 AM - Giovanni Manghi

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

- Status changed from Open to Closed
- Assignee deleted (nobody -)

- Resolution set to fixed

- Pull Request or Patch supplied set to No

Not confirmed anymore under QGIS 1.7.3 and master/osgeo4w. Reopen if necessary.

Files

err.7z 487 Bytes 2010-07-05 dr -

bt.tar.bz2 4.79 KB 2010-07-07 Alexander Bruy
